-- ============================================
-- NPC PATROL WAYPOINTS
-- ============================================

local function step2()
    game_api.npc_walk_to(0, 1.03298, 0, -4.61801, step1)
end

function step1()
    game_api.npc_walk_to(0, -6.65295, 0, 4.15397, step2)
end

step1()

game_api.start_dialogue("dialog_start001")

phone_picked_up = false
journal_picked_up = false


function on_phone_pickup()
game_api.pickup_item("phone")
game_api.start_dialogue("dialog_phone_pickup001")
phone_picked_up = true
end

function on_journal_pickup()
game_api.pickup_item("journal")
game_api.start_dialogue("dialog_journal_pickup001")
journal_picked_up = true
end

function pickup_phone_zone001_enter_callback()
	print("pickup_phone_zone001_enter_callback--!")
	if (not phone_picked_up) or (not journal_picked_up) then
    game_api.start_dialogue("dialog_phone001")
	game_api.switch_navigation(1)
	end
end

function pickup_phone_zone001_exit_callback()
    print("pickup_phone_zone001_exit_callback--!")
	game_api.switch_navigation(0)
end

game_api.set_trigger_zone_callbacks("pickup_phone_zone001",
    pickup_phone_zone001_enter_callback,
    pickup_phone_zone001_exit_callback
)

function ladder_zone001_enter_callback()
game_api.start_dialogue("dialog_second_floor001")
end

game_api.set_trigger_zone_callbacks("ladder_zone001",
    ladder_zone001_enter_callback,
    nil
)


print("Lua script loaded successfully--!")